Bug 1463466 - xfsrestore manual page need some fixing
xfsrestore manual page need some fixing
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xfsdump (Show other bugs)
7.3
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Eric Sandeen
Filesystem QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 21:42 EDT by Todd
Modified: 2017-11-22 01:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd 2017-06-20 21:42:06 EDT
Dear Red Hat,

I am coming from the community: Scientific Linux 7.

Would one of our intrepid heros please update the manual page with the following.


Old:
-i   Selects interactive operation.  Once the on-media directory  hier‐
            archy has been read, an interactive dialogue is begun.  The opera‐
            tor uses a small set of commands to peruse the  directory  hierar‐
            chy,  selecting  files and subtrees for extraction.  The available
            commands are given below.  Initially nothing is  selected,  except
            for those subtrees specified with -s command line options.

New:
-i   Selects interactive operation.  Once the on-media directory  hier‐
            archy has been read, an interactive dialogue is begun.  The opera‐
            tor uses a small set of commands to peruse the  directory  hierar‐
            chy,  selecting  files and subtrees for extraction.  The available
            commands are given below.  Initially nothing is  selected,  except
            for those subtrees specified with -s command line options.    Please 
            note that the -R (resume previously interrupted restore) option
            and -Q (Force completion of an interrupted restore session) option
            are not compatible with this option and the program will terminate
            with an error

Old:
-R   Resume a previously interrupted restore.  xfsrestore can be inter‐
            rupted at any time by pressing the  terminal  interrupt  character
            (see stty(1)).  Use this option to resume the restore.  The -a and
            destination options must be the same.

New:
-R   Resume a previously interrupted restore.  xfsrestore can be inter‐
            rupted at any time by pressing the  terminal  interrupt  character
            (see stty(1)).  Use this option to resume the restore.  The -a and
            destination options must be the same.  Please note that -i
            (interactive) option is not compatible with this option and 
            the program will terminate with an error


Old:
-Q   Force completion of an interrupted restore session.   This  option
            is  required  to  work  around one specific pathological scenario.
            When restoring a dump session which was interrupted due to an  EOM
            condition and no online session inventory is available, xfsrestore
            cannot know when the restore of that  dump  session  is  complete.
            The  operator is forced to interrupt the restore session.  In that
            case, if the operator tries to subsequently apply a  resumed  dump
            (using  the -r option), xfsrestore refuses to do so.  The operator
            must tell xfsrestore to consider  the  base  restore  complete  by
            using this option when applying the resumed dump.

New:
-Q   Force completion of an interrupted restore session.   This  option
            is  required  to  work  around one specific pathological scenario.
            When restoring a dump session which was interrupted due to an  EOM
            condition and no online session inventory is available, xfsrestore
            cannot know when the restore of that  dump  session  is  complete.
            The  operator is forced to interrupt the restore session.  In that
            case, if the operator tries to subsequently apply a  resumed  dump
            (using  the -r option), xfsrestore refuses to do so.  The operator
            must tell xfsrestore to consider  the  base  restore  complete  by
            using this option when applying the resumed dump. Please note that
            -i (interactive) option is not compatible with this option and 
            the program will terminate with an error


The reason for these additions is to remove the utter confusion caused by the following errors, especially trying to figure out why a restore program is required when you are running a restore program:

root@rn4 lin-bak]# xfsrestore -R -i -f 2017-06-17_14-47-46_homeXfsDump /home
xfsrestore: using file dump (drive_simple) strategy
xfsrestore: version 3.1.4 (dump format 3.0) - type ^C for status and control
xfsrestore: ERROR: -i valid only when initiating restore
xfsrestore: Restore Status: ERROR

[root@rn4 lin-bak]# xfsrestore -Q -i -f 2017-06-17_14-47-46_homeXfsDump /home
xfsrestore: using file dump (drive_simple) strategy
xfsrestore: version 3.1.4 (dump format 3.0) - type ^C for status and control
xfsrestore: ERROR: -i valid only when initiating restore
xfsrestore: Restore Status: ERROR
Comment 2 Todd 2017-06-20 23:28:05 EDT
Is this an upstream patch too?

Note You need to log in before you can comment on or make changes to this bug.